#!/bin/bash

set -x

CONFIG=$1
IMG_ROOT=$2
GT_MASK_ROOT=$3
META_ATTR_ROOT=$4
PY_ARGS=${@:5}

METHODS=('constant_mask' 'constant_mask_circle' 'deep_shap' 'extremal_perturbation' 'gradcam' 'guided_bp' 'guided_bp_positive' 'integrated_grad' 'random_mask')

for METHOD in "${METHODS[@]}"; do
  python scripts/attr_evaluation/eval_attribution_maps.py \
    "${CONFIG}" \
    "${PY_ARGS}" \
    --cfg-options datasets.img_root="${IMG_ROOT}" datasets.gt_mask_root="${GT_MASK_ROOT}" datasets.attr_root="${META_ATTR_ROOT}/{$METHOD}/"
done
